package lab6;
import autogen.*;
import common.Listing;
import common.OpenFile;

public class bup {
   public static void main(String args[]) throws Exception {
      if (args.length < 1) throw new Error("Run bup from ant, using target \"bup\"");

      new Listing(System.out);
      Parser ah = new Parser(new Yylex(new OpenFile(args[0])));
      ah.parse();
   }
}
